> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/catalog-classification-v2/classification-process.md).

# Classification Process

The start of the classification process.

## Starts a process that classifies requested assets.

> API to start a process of classification.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"tags":[{"name":"Classification Process","description":"The start of the classification process."}],"servers":[{"url":"/rest/catalogClassification/v2"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"description":"The APIs require Basic HTTP authentication.","type":"http","scheme":"basic"},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"ClassificationProcessRequest":{"description":"Requests to start a classification process.","type":"object","required":["assetIds"],"properties":{"assetIds":{"type":"array","items":{"type":"string","format":"uuid","description":"The ids of the assets to classify."}}}},"ClassificationProcessResponse":{"description":"Represents the response returned when classification process starts.","properties":{"jobId":{"type":"string","description":"The ID of the newly started job.","format":"uuid"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"The HTTP response code."},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks the required permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/classify":{"post":{"summary":"Starts a process that classifies requested assets.","description":"API to start a process of classification.","operationId":"startClassificationProcess","tags":["Classification Process"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClassificationProcessRequest"}}}},"responses":{"202":{"description":"Classification process started.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClassificationProcessResponse"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/catalog-classification-v2/classification-process.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
